<?php namespace Romanah\Gokbakja\Updates;

use Schema;
use October\Rain\Database\Updates\Migration;

class BuilderTableCreateRomanahGokbakjaPivotSewer extends Migration
{
    public function up()
    {
        Schema::create('romanah_gokbakja_pivot_sewer', function($table)
        {
            $table->engine = 'InnoDB';
            $table->increments('id')->unsigned();
            $table->timestamp('created_at')->nullable();
            $table->timestamp('updated_at')->nullable();
            $table->timestamp('deleted_at')->nullable();
            $table->integer('sewer_production_id');
            $table->integer('machine_production_id');
            $table->string('status')->default('working');
            $table->string('note')->nullable();
        });
    }
    
    public function down()
    {
        Schema::dropIfExists('romanah_gokbakja_pivot_sewer');
    }
}
